Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.data
Class GrantAccess

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.data.GrantAccess

public class GrantAccess
extends java.lang.Object

GrantAccess
Réalise les opérations relatives aux droits dans la base de données
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.2 $
Author:
  Mathieu Larchet

Constructor Summary
`GrantAccess()`

Method Summary
`static void` | `addGrant(org.esupportail.portal.utils.database.Query query, Grant grant)` Ajoute un droit
`static java.util.List` | `getGrants(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Retourne la liste des droits d'un dossier
`static boolean` | `grantExist(org.esupportail.portal.utils.database.Query query, Grant grant)` Teste si un droit existe déjà
`static void` | `removeGrant(org.esupportail.portal.utils.database.Query query, Grant grant)` Supprime un droit
`static void` | `removeGrants(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Supprime tous les drois d'un dossier
`static void` | `updateGrant(org.esupportail.portal.utils.database.Query query, Grant grant)` Modifie un droit

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrantAccess

    public GrantAccess()

Method Detail

### getGrants

    public static java.util.List getGrants(org.esupportail.portal.utils.database.Query query,
                                           java.lang.String id)
                                    throws DataException

  Retourne la liste des droits d'un dossier

  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
  Returns:
    grants La liste des droits
  Throws:
    `DataException`

### addGrant

    public static void addGrant(org.esupportail.portal.utils.database.Query query,
                                Grant grant)
                         throws DataException

  Ajoute un droit

  Parameters:
    `query` - La connexion à utiliser
    `grant` - Le droit à ajouter
  Throws:
    `DataException`

### removeGrant

    public static void removeGrant(org.esupportail.portal.utils.database.Query query,
                                   Grant grant)
                            throws DataException

  Supprime un droit

  Parameters:
    `query` - La connexion à utiliser
    `grant` - Le droit à supprimer
  Throws:
    `DataException`

### removeGrants

    public static void removeGrants(org.esupportail.portal.utils.database.Query query,
                                    java.lang.String id)
                             throws DataException

  Supprime tous les drois d'un dossier

  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
  Throws:
    `DataException`

### updateGrant

    public static void updateGrant(org.esupportail.portal.utils.database.Query query,
                                   Grant grant)
                            throws DataException

  Modifie un droit

  Parameters:
    `query` - La connexion à utiliser
    `grant` - Le droit à modifier
  Throws:
    `DataException`

### grantExist

    public static boolean grantExist(org.esupportail.portal.utils.database.Query query,
                                     Grant grant)
                              throws DataException

  Teste si un droit existe déjà

  Parameters:
    `query` - La connexion à utiliser
    `grant` - Le droit à tester
  Returns:
    boolean True si le droit existe, false sinon
  Throws:
    `DataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD